Skip to main content
GET
Get billing usage grouped by product, account, and event

Authorizations

Authorization
string
header
required

OAuth2 Authorization Code flow

Query Parameters

date_from
string

Inclusive usage period start date (yyyy-MM-dd)

date_to
string

Inclusive usage period end date (yyyy-MM-dd)

account
string[]

Organization IDs to include. Defaults to current org.

product
string[]

Product slugs to include.

breakdown
enum<string>[]

Breakdown order.

Available options:
product,
account,
event,
document
interval
enum<string>
default:month

Chart/table interval.

Available options:
none,
day,
week,
month
hide_no_spend
boolean
default:false

Hide rows without usage.

page_size
number
default:20

Rows per page for ungrouped usage.

Required range: x <= 20
start_cursor
string

Cursor for ungrouped usage pagination.

Response

200 - application/json
object
string
default:list
required

Object type identifier

results
object[]
required
has_more
boolean
required

Whether more ungrouped usage rows exist.

next_cursor
string | null

Cursor for next ungrouped usage page.